## libpinyin 0.6.91

=== CMakeLists.txt ===
## Copyright (C) 2011 BYVoid
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

######## Project settings
cmake_minimum_required(VERSION 2.8)
set (PACKAGE_NAME libpinyin)
project (${PACKAGE_NAME} CXX C)
enable_testing()

######## Package information
set (PACKAGE_URL https://github.com/libpinyin/libpinyin)
set (PACKAGE_BUGREPORT https://github.com/libpinyin/libpinyin/issues)
set (LIBPINYIN_VERSION_MAJOR 0)
set (LIBPINYIN_VERSION_MINOR 2)
set (LIBPINYIN_VERSION_REVISION 99)
set (LIBPINYIN_BINARY_VERSION 0.3)

if (CMAKE_BUILD_TYPE MATCHES Debug)
    set (version_suffix .Debug)
endif (CMAKE_BUILD_TYPE MATCHES Debug)

set (
    LIBPINYIN_VERSION
    ${LIBPINYIN_VERSION_MAJOR}.${LIBPINYIN_VERSION_MINOR}.${LIBPINYIN_VERSION_REVISION}${version_suffix}
)

######## Validation

include(CheckIncludeFileCXX)
check_include_file_cxx(locale.h HAVE_LOCALE_H)
check_include_file_cxx(libintl.h HAVE_LIBINTL_H)
check_include_file_cxx(stdlib.h HAVE_STDLIB_H)
check_include_file_cxx(string.h HAVE_STRING_H)
check_include_file_cxx(sys/time.h HAVE_SYS_TIME_H)
check_include_file_cxx(unistd.h HAVE_UNISTD_H)

include(CheckFunctionExists)
check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
check_function_exists(malloc HAVE_MALLOC)
check_function_exists(memcmp HAVE_MEMCMP)
check_function_exists(memmove HAVE_MEMMOVE)
check_function_exists(memset HAVE_MEMSET)
check_function_exists(realloc HAVE_REALLOC)
check_function_exists(setlocale HAVE_SETLOCALE)
check_function_exists(stat HAVE_STAT)

include(CheckTypeSize)
check_type_size(size_t SIZE_OF_SIZE_T)

set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
find_package(GLIB2 REQUIRED)
find_package(BerkeleyDB REQUIRED)

######## Windows

if (WIN32)
    set(CMAKE_SHARED_LIBRARY_PREFIX ${CMAKE_INSTALL_PREFIX})
    set(CMAKE_STATIC_LIBRARY_PREFIX ${CMAKE_INSTALL_PREFIX})
endif (WIN32)

######## Directory

set (DIR_PREFIX ${CMAKE_INSTALL_PREFIX})
set (DIR_LIBRARY ${DIR_PREFIX}/${CMAKE_SHARED_LIBRARY_PREFIX})
set (DIR_LIBRARY_STATIC ${DIR_PREFIX}/${CMAKE_STATIC_LIBRARY_PREFIX})
set (DIR_INCLUDE ${DIR_PREFIX}/include)
set (DIR_SHARE ${DIR_PREFIX}/share)
set (DIR_BIN ${DIR_PREFIX}/bin)
set (DIR_ETC ${DIR_PREFIX}/etc)

if (DEFINED CMAKE_INSTALL_LIBDIR)
    set (DIR_LIBRARY ${CMAKE_INSTALL_LIBDIR})
    set (DIR_LIBRARY_STATIC ${CMAKE_INSTALL_LIBDIR})
endif (DEFINED CMAKE_INSTALL_LIBDIR)

if (DEFINED SHARE_INSTALL_PREFIX)
    set (DIR_SHARE ${SHARE_INSTALL_PREFIX})
endif (DEFINED SHARE_INSTALL_PREFIX)

if (DEFINED INCLUDE_INSTALL_DIR)
    set (DIR_INCLUDE ${INCLUDE_INSTALL_DIR})
endif (DEFINED INCLUDE_INSTALL_DIR)

if (DEFINED SYSCONF_INSTALL_DIR)
    set (DIR_ETC ${SYSCONF_INSTALL_DIR})
endif (DEFINED SYSCONF_INSTALL_DIR)

set (DIR_SHARE_LIBPINYIN ${DIR_SHARE}/libpinyin)
set (DIR_INCLUDE_LIBPINYIN ${DIR_INCLUDE}/libpinyin-${LIBPINYIN_BINARY_VERSION})

######## Configuration

configure_file(
    libpinyin.pc.in
    libpinyin.pc
    @ONLY
)

install(
    FILES
        ${CMAKE_BINARY_DIR}/libpinyin.pc
    DESTINATION
        ${DIR_LIBRARY}/pkgconfig
)

######## Definition

if (CMAKE_BUILD_TYPE MATCHES Debug)
    add_definitions(
        -O0
        -g3
    )
endif (CMAKE_BUILD_TYPE MATCHES Debug)

include_directories(
    ${GLIB2_INCLUDE_DIR}
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_SOURCE_DIR}/src/include
    ${PROJECT_SOURCE_DIR}/src/storage
    ${PROJECT_SOURCE_DIR}/src/lookup
)

######## Subdirectories

add_subdirectory(data)
add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(utils)

=== data/CMakeLists.txt ===
set(
    BINARY_MODEL_DATA
    gb_char.bin
    gbk_char.bin
    phrase_index.bin
    pinyin_index.bin
    bigram.db
)

set(
    BINARY_MODEL_DATA_FILES
    ${CMAKE_BINARY_DIR}/data/gb_char.bin
    ${CMAKE_BINARY_DIR}/data/gbk_char.bin
    ${CMAKE_BINARY_DIR}/data/phrase_index.bin
    ${CMAKE_BINARY_DIR}/data/pinyin_index.bin
    ${CMAKE_BINARY_DIR}/data/bigram.db
)

set(
    gen_binary_files_BIN
    ${CMAKE_BINARY_DIR}/utils/storage/gen_binary_files
)

set(
    import_interpolation_BIN
    ${CMAKE_BINARY_DIR}/utils/storage/import_interpolation
)

add_custom_target(
    data
    ALL
    DEPENDS
        ${BINARY_MODEL_DATA}
)

add_custom_command(
    OUTPUT
        gb_char.bin
        gbk_char.bin
        phrase_index.bin
        pinyin_index.bin
    COMMENT
        "Building binary model data..."
    COMMAND
        ${gen_binary_files_BIN} --table-dir ${CMAKE_SOURCE_DIR}/data
    DEPENDS
        gen_binary_files
)

add_custom_command(
    OUTPUT
        bigram.db
    COMMENT
        "Building binary bigram data..."
    COMMAND
        ${import_interpolation_BIN} < ${CMAKE_SOURCE_DIR}/data/interpolation.text
    DEPENDS
        import_interpolation
)

install(
    FILES
        ${BINARY_MODEL_DATA_FILES}
    DESTINATION
        ${DIR_SHARE_LIBPINYIN}/data
)

set_directory_properties(
    PROPERTIES
        ADDITIONAL_MAKE_CLEAN_FILES
            ${BINARY_MODEL_DATA_FILES}
)

=== src/lookup/CMakeLists.txt ===
set(
    CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC"
)

set(
    LIBLOOKUP_SOURCES
    pinyin_lookup.cpp
    winner_tree.cpp
    phrase_lookup.cpp
    lookup.cpp
)

add_library(
    lookup
    STATIC
    ${LIBLOOKUP_SOURCES}
)

install(
    FILES
        ${LIBLOOKUP_HEADERS}
    DESTINATION
        ${DIR_INCLUDE_LIBPINYIN}
)

=== src/storage/CMakeLists.txt ===
set(
    CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC"
)

set(
    LIBSTORAGE_HEADERS
    chewing_key.h
    pinyin_custom2.h
)

set(
    LIBSTORAGE_SOURCES
    phrase_index.cpp
    phrase_large_table.cpp
    ngram.cpp
    tag_utility.cpp
    pinyin_parser2.cpp
    chewing_large_table.cpp
)

add_library(
    storage
    STATIC
    ${LIBSTORAGE_SOURCES}
)

target_link_libraries(
    storage
    ${GLIB2_LIBRARIES}
    ${BERKELEY_DB_LIBRARIES}
)

install(
    FILES
        ${LIBSTORAGE_HEADERS}
    DESTINATION
        ${DIR_INCLUDE_LIBPINYIN}
)

=== debian/changelog ===
libpinyin (0.6.91-1) unstable; urgency=low

  * Imported Upstream version 0.6.91
  * Add upstream patch: 
    - fixes test_flexible_ngram.cpp
    - fixes kfreebsd build

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 26 May 2012 09:43:35 +0800

libpinyin (0.5.92-1) unstable; urgency=low

  * Initial release (Closes: #658144)

 -- Aron Xu <aron@debian.org>  Fri, 04 May 2012 01:35:31 +0800

=== debian/control ===
Source: libpinyin
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), autotools-dev, libltdl-dev,
    libglib2.0-dev, libdb-dev, dh-autoreconf
Standards-Version: 3.9.3
Section: libs
Homepage: http://github.com/libpinyin
Vcs-Git: git://git.debian.org/pkg-ime/libpinyin.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/libpinyin.git

Package: libpinyin0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libpinyin0 (= ${binary:Version})
Recommends: libpinyin-utils
Provides: libpinyin-dev
Conflicts: libpinyin-dev
Description: library to deal with PinYin - development files
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the library development files.

Package: libpinyin0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: fcitx-libpinyin (<< 0.1.1-2)
Provides: libpinyin
Suggests: libpinyin-utils
Description: library to deal with PinYin
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the library files.

Package: libpinyin-utils
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to deal with PinYin - utilities
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the utilities for manipulating dict files.

Package: libpinyin-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libpinyin0 (= ${binary:Version}) 
Description: library to deal with PinYin - debug symbols
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the debug symbols of the library and
 executables.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LDFLAGS+=-Wl,--as-needed

# Parallel build.
ifeq ($(DEB_HOST_ARCH_OS),linux)
    export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
endif

%:
	dh $@ --parallel --with autoreconf
override_dh_auto_configure:
	dh_auto_configure -Sautoconf -- \
	    --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	    --datarootdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
override_dh_strip:
	dh_strip --dbg-package=libpinyin-dbg
override_dh_builddeb:
	dh_builddeb -- -Zxz

## libpinyin 0.8.0

=== debian/changelog ===
libpinyin (0.8.0-2) unstable; urgency=low

  * Bump standard version to 3.9.4: no modification needed.
  * Remove DMUA tag.
  * Upload to unstable.
  * Add symbols for libpinyin2.

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 16 Feb 2013 13:08:01 +0800

libpinyin (0.8.0-1) experimental; urgency=low

  * New upstream release

 -- Aron Xu <aron@debian.org>  Fri, 30 Nov 2012 21:46:09 +0800

libpinyin (0.7.92-1) experimental; urgency=low

  * New upstream release

 -- Asias He <asias@debian.org>  Tue, 16 Oct 2012 19:40:17 +0800

libpinyin (0.7.91-1) experimental; urgency=low

  * New upstream release

 -- Asias He <asias@debian.org>  Fri, 05 Oct 2012 21:42:29 +0800

libpinyin (0.7.0-2) experimental; urgency=low

  * Add Breaks/Replaces entry for libpinyin0 (Closes: #684032).

 -- Aron Xu <aron@debian.org>  Wed, 08 Aug 2012 16:53:44 +0000

libpinyin (0.7.0-1) experimental; urgency=low

  * New upstream release
  * Rename to libpinyin2, because upstream SONAME bump.
  * Remove 0002-fixes_test_flexible_ngram.cpp_kfreebsd_build.patch,
    applied upstream.
  * Remove README.Debian, not needed anymore.

 -- Aron Xu <aron@debian.org>  Sun, 29 Jul 2012 23:34:56 +0800

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: libpinyin
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-DM-Upload-Allowed: yes
+Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>, Asias He <asias@debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev, libltdl-dev,
     libglib2.0-dev, libdb-dev, dh-autoreconf
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://github.com/libpinyin
 Vcs-Git: git://git.debian.org/pkg-ime/libpinyin.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/libpinyin.git
 
-Package: libpinyin0-dev
+Package: libpinyin2-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libpinyin0 (= ${binary:Version})
+Depends: ${misc:Depends}, libpinyin2 (= ${binary:Version})
 Recommends: libpinyin-utils
 Provides: libpinyin-dev
 Conflicts: libpinyin-dev
@@ -25,12 +24,13 @@
  .
  This package provides the library development files.
 
-Package: libpinyin0
+Package: libpinyin2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: fcitx-libpinyin (<< 0.1.1-2)
+Breaks: fcitx-libpinyin (<< 0.2.0), libpinyin0
+Replaces: libpinyin0
 Provides: libpinyin
 Suggests: libpinyin-utils
 Description: library to deal with PinYin
@@ -55,7 +55,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libpinyin0 (= ${binary:Version}) 
+Depends: ${misc:Depends}, libpinyin2 (= ${binary:Version}) 
 Description: library to deal with PinYin - debug symbols
  libpinyin is a set of core algorithms designed for intelligent
  sentence-based Chinese PinYin input methods.

## libpinyin 0.9.93%2Brepack1

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -26,11 +26,29 @@
     ${CMAKE_BINARY_DIR}/utils/storage/import_interpolation
 )
 
+set(
+    gen_unigram_BIN
+    ${CMAKE_BINARY_DIR}/utils/training/gen_unigram
+)
+
 add_custom_target(
     data
     ALL
     DEPENDS
         ${BINARY_MODEL_DATA}
+)
+
+add_custom_command(
+    OUTPUT
+        ${CMAKE_SOURCE_DIR}/data/gb_char.table
+        ${CMAKE_SOURCE_DIR}/data/gbk_char.table
+        ${CMAKE_SOURCE_DIR}/data/interpolation2.text
+    COMMENT
+        "Downloading textual model data..."
+    COMMAND
+       wget http://downloads.sourceforge.net/libpinyin/models/model5.text.tar.gz
+    COMMAND
+       tar xvf model5.text.tar.gz -C ${CMAKE_SOURCE_DIR}/data
 )
 
 add_custom_command(
@@ -45,6 +63,8 @@
         ${gen_binary_files_BIN} --table-dir ${CMAKE_SOURCE_DIR}/data
     DEPENDS
         gen_binary_files
+	${CMAKE_SOURCE_DIR}/data/gb_char.table
+	${CMAKE_SOURCE_DIR}/data/gbk_char.table
 )
 
 add_custom_command(
@@ -53,9 +73,12 @@
     COMMENT
         "Building binary bigram data..."
     COMMAND
-        ${import_interpolation_BIN} < ${CMAKE_SOURCE_DIR}/data/interpolation.text
+        ${import_interpolation_BIN} < ${CMAKE_SOURCE_DIR}/data/interpolation2.text
+    COMMAND
+        ${gen_unigram_BIN}
     DEPENDS
         import_interpolation
+	${CMAKE_SOURCE_DIR}/data/interpolation2.text
 )
 
 install(

=== tests/storage/CMakeLists.txt ===
include_directories(..)

add_executable(
    test_parser2
    test_parser2.cpp
)

target_link_libraries(
    test_parser2
    libpinyin
)

add_executable(
    test_chewing_table
    test_chewing_table.cpp
)

target_link_libraries(
    test_chewing_table
    libpinyin
)

add_executable(
    test_phrase_index
    test_phrase_index.cpp
)

target_link_libraries(
    test_phrase_index
    libpinyin
)

add_executable(
    test_phrase_index_logger
    test_phrase_index_logger.cpp
)

target_link_libraries(
    test_phrase_index_logger
    libpinyin
)

add_executable(
    test_phrase_table
    test_phrase_table.cpp
)

target_link_libraries(
    test_phrase_table
    libpinyin
)

add_executable(
    test_ngram
    test_ngram.cpp
)

target_link_libraries(
    test_ngram
    libpinyin
)

add_executable(
    test_flexible_ngram
    test_flexible_ngram.cpp
)

target_link_libraries(
    test_flexible_ngram
    libpinyin
)

=== utils/training/CMakeLists.txt ===
add_executable(
    gen_ngram
    gen_ngram.cpp
)

target_link_libraries(
    gen_ngram
    libpinyin
)

add_executable(
    gen_deleted_ngram
    gen_deleted_ngram.cpp
)

target_link_libraries(
    gen_deleted_ngram
    libpinyin
)

add_executable(
    gen_unigram
    gen_unigram.cpp
)

target_link_libraries(
    gen_unigram
    libpinyin
)

add_executable(
    gen_k_mixture_model
    gen_k_mixture_model.cpp
)

target_link_libraries(
    gen_k_mixture_model
    libpinyin
)

add_executable(
    estimate_interpolation
    estimate_interpolation.cpp
)

target_link_libraries(
    estimate_interpolation
    libpinyin
)

add_executable(
    estimate_k_mixture_model
    estimate_k_mixture_model.cpp
)

target_link_libraries(
    estimate_k_mixture_model
    libpinyin
)

add_executable(
    merge_k_mixture_model
    merge_k_mixture_model.cpp
)

target_link_libraries(
    merge_k_mixture_model
    libpinyin
)

add_executable(
    prune_k_mixture_model
    prune_k_mixture_model.cpp
)

target_link_libraries(
    prune_k_mixture_model
    libpinyin
)

add_executable(
    import_k_mixture_model
    import_k_mixture_model.cpp
)

target_link_libraries(
    import_k_mixture_model
    libpinyin
)

add_executable(
    export_k_mixture_model
    export_k_mixture_model.cpp
)

target_link_libraries(
    export_k_mixture_model
    libpinyin
)

add_executable(
    k_mixture_model_to_interpolation
    k_mixture_model_to_interpolation.cpp
)

target_link_libraries(
    k_mixture_model_to_interpolation
    libpinyin
)

add_executable(
    validate_k_mixture_model
    validate_k_mixture_model.cpp
)

target_link_libraries(
    validate_k_mixture_model
    libpinyin
)

add_executable(
    eval_correction_rate
    eval_correction_rate.cpp
)

target_link_libraries(
    eval_correction_rate
    libpinyin
)

## libpinyin 0.9.93+repack1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 ##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
-## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
 ######## Project settings
 cmake_minimum_required(VERSION 2.8)
@@ -24,9 +24,9 @@
 set (PACKAGE_URL https://github.com/libpinyin/libpinyin)
 set (PACKAGE_BUGREPORT https://github.com/libpinyin/libpinyin/issues)
 set (LIBPINYIN_VERSION_MAJOR 0)
-set (LIBPINYIN_VERSION_MINOR 2)
-set (LIBPINYIN_VERSION_REVISION 99)
-set (LIBPINYIN_BINARY_VERSION 0.3)
+set (LIBPINYIN_VERSION_MINOR 7)
+set (LIBPINYIN_VERSION_REVISION 0)
+set (LIBPINYIN_BINARY_VERSION 2.0)
 
 if (CMAKE_BUILD_TYPE MATCHES Debug)
     set (version_suffix .Debug)
@@ -36,6 +36,8 @@
     LIBPINYIN_VERSION
     ${LIBPINYIN_VERSION_MAJOR}.${LIBPINYIN_VERSION_MINOR}.${LIBPINYIN_VERSION_REVISION}${version_suffix}
 )
+
+set (VERSION ${LIBPINYIN_VERSION})
 
 ######## Validation
 
@@ -103,6 +105,12 @@
 
 ######## Configuration
 
+set (prefix ${DIR_PREFIX})
+set (exec_prefix ${DIR_PREFIX})
+set (libdir ${DIR_LIBRARY})
+set (includedir ${DIR_INCLUDE})
+set (datadir ${DIR_SHARE})
+
 configure_file(
     libpinyin.pc.in
     libpinyin.pc
@@ -131,11 +139,13 @@
     ${PROJECT_SOURCE_DIR}/src/include
     ${PROJECT_SOURCE_DIR}/src/storage
     ${PROJECT_SOURCE_DIR}/src/lookup
+    ${PROJECT_SOURCE_DIR}/utils
+    ${PROJECT_SOURCE_DIR}/tests
 )
 
 ######## Subdirectories
 
-add_subdirectory(data)
 add_subdirectory(src)
 add_subdirectory(tests)
 add_subdirectory(utils)
+add_subdirectory(data)

=== src/CMakeLists.txt ===
set(
    LIBPINYIN_HEADERS
    pinyin.h
)

set(
    LIBPINYIN_SOURCES
    pinyin.cpp
)

add_library(
    libpinyin
    SHARED
    ${LIBPINYIN_SOURCES}
)

target_link_libraries(
    libpinyin
    storage
    lookup
)

set_target_properties(
    libpinyin
    PROPERTIES
        OUTPUT_NAME
            pinyin
        VERSION
            0.0.0
        SOVERSION
            0
)

install(
    TARGETS
        libpinyin
    LIBRARY DESTINATION
        ${DIR_LIBRARY}
)

install(
    FILES
        ${LIBPINYIN_HEADERS}
    DESTINATION
        ${DIR_INCLUDE_LIBPINYIN}
)

add_subdirectory(include)
add_subdirectory(storage)
add_subdirectory(lookup)

=== tests/CMakeLists.txt ===
add_subdirectory(include)
add_subdirectory(storage)
add_subdirectory(lookup)

add_executable(
    test_pinyin
    test_pinyin.cpp
)

target_link_libraries(
    test_pinyin
    libpinyin
)

add_executable(
    test_phrase
    test_phrase.cpp
)

target_link_libraries(
    test_phrase
    libpinyin
)

add_executable(
    test_chewing
    test_chewing.cpp
)

target_link_libraries(
    test_chewing
    libpinyin
)

=== utils/CMakeLists.txt ===
add_subdirectory(segment)
add_subdirectory(storage)
add_subdirectory(training)

=== src/lookup/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,7 @@
 
 set(
     LIBLOOKUP_SOURCES
-    pinyin_lookup.cpp
-    winner_tree.cpp
+    pinyin_lookup2.cpp
     phrase_lookup.cpp
     lookup.cpp
 )

=== src/storage/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 set(
     LIBSTORAGE_SOURCES
     phrase_index.cpp
-    phrase_large_table.cpp
+    phrase_large_table2.cpp
     ngram.cpp
     tag_utility.cpp
     pinyin_parser2.cpp

=== utils/segment/CMakeLists.txt ===
add_executable(
    spseg
    spseg.cpp
)

target_link_libraries(
    spseg
    libpinyin
)

add_executable(
    ngseg
    ngseg.cpp
)

target_link_libraries(
    ngseg
    libpinyin
)

=== utils/storage/CMakeLists.txt ===
add_executable(
    gen_binary_files
    gen_binary_files.cpp
)

target_link_libraries(
    gen_binary_files
    libpinyin
)

add_executable(
    import_interpolation
    import_interpolation.cpp
)

target_link_libraries(
    import_interpolation
    libpinyin
)

add_executable(
    export_interpolation
    export_interpolation.cpp
)

target_link_libraries(
    export_interpolation
    libpinyin
)

=== debian/changelog ===
libpinyin (0.9.93+repack1-1ubuntu1) trusty; urgency=low

  * Cherrypick from upstream to force C locale when loading table.conf
    (LP: #1255999)

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 03 Dec 2013 15:59:58 +0000

libpinyin (0.9.93+repack1-1) unstable; urgency=low

  * Upload to unstable.

 -- Aron Xu <aron@debian.org>  Mon, 30 Sep 2013 19:59:38 +0800

libpinyin (0.9.93+repack1-0exp2) experimental; urgency=low

  * Team upload.
  * Update Breaks/Replaces (Closes: #723958)

 -- Aron Xu <happyaron.xu@gmail.com>  Mon, 23 Sep 2013 01:15:49 +0800

libpinyin (0.9.93+repack1-0exp1) experimental; urgency=low

  * Team upload.
  * New upstream release.

 -- Aron Xu <aron@debian.org>  Fri, 20 Sep 2013 00:40:15 +0800

=== debian/control ===
Source: libpinyin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           YunQiang Su <wzssyqa@gmail.com>,
           Asias He <asias@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               libdb-dev,
               libglib2.0-dev,
               libltdl-dev
Standards-Version: 3.9.4
Section: libs
Homepage: http://github.com/libpinyin
Vcs-Git: git://anonscm.debian.org/pkg-ime/libpinyin.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-ime/libpinyin.git

Package: libpinyin4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpinyin4 (= ${binary:Version}), ${misc:Depends}
Recommends: libpinyin-utils
Provides: libpinyin-dev
Conflicts: libpinyin-dev
Description: library to deal with PinYin - development files
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the library development files.

Package: libpinyin4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: fcitx-libpinyin (<< 0.2.0), libpinyin0, libpinyin2
Replaces: libpinyin0, libpinyin2
Provides: libpinyin
Suggests: libpinyin-utils
Description: library to deal with PinYin
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the library files.

Package: libpinyin-utils
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to deal with PinYin - utilities
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the utilities for manipulating dict files.

Package: libpinyin-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libpinyin4 (= ${binary:Version}), ${misc:Depends}
Description: library to deal with PinYin - debug symbols
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the debug symbols of the library and
 executables.

=== debian/rules ===
--- 
+++ 
@@ -15,5 +15,6 @@
 	    --datarootdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 override_dh_strip:
 	dh_strip --dbg-package=libpinyin-dbg
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
+override_dh_install:
+	find debian/ -name *.la -delete
+	dh_install --fail-missing

=== debian/watch ===
version=3
http://githubredir.debian.net/github/libpinyin/libpinyin/ (.*).tar.gz

## libpinyin 1.0.0+repack2

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -46,9 +46,9 @@
     COMMENT
         "Downloading textual model data..."
     COMMAND
-       wget http://downloads.sourceforge.net/libpinyin/models/model5.text.tar.gz
+       wget http://downloads.sourceforge.net/libpinyin/models/model7.text.tar.gz
     COMMAND
-       tar xvf model5.text.tar.gz -C ${CMAKE_SOURCE_DIR}/data
+       tar xvf model7.text.tar.gz -C ${CMAKE_SOURCE_DIR}/data
 )
 
 add_custom_command(

=== tests/include/CMakeLists.txt ===
add_executable(
    test_memory_chunk
    test_memory_chunk.cpp
)

target_link_libraries(
    test_memory_chunk
    libpinyin
)

=== tests/lookup/CMakeLists.txt ===
include_directories(..)

add_executable(
    test_pinyin_lookup
    test_pinyin_lookup.cpp
)

target_link_libraries(
    test_pinyin_lookup
    libpinyin
)

add_executable(
    test_phrase_lookup
    test_phrase_lookup.cpp
)

target_link_libraries(
    test_phrase_lookup
    libpinyin
)

=== debian/changelog ===
libpinyin (1.0.0+repack2-1ubuntu1~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 08:06:09 +0000

libpinyin (1.0.0+repack2-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 06 Jul 2014 03:03:51 +0800

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libdb-dev,
                libglib2.0-dev,
                libltdl-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://github.com/libpinyin
 Vcs-Git: git://anonscm.debian.org/pkg-ime/libpinyin.git

## libpinyin 1.3.0

=== debian/changelog ===
libpinyin (1.3.0-2ubuntu1) xenial; urgency=medium

  * debian/control:
    - Add the libglib2.0-dev missing dependency to libpinyin7-dev

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 22 Jan 2016 22:34:43 +0100

libpinyin (1.3.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Aron Xu <aron@debian.org>  Wed, 16 Dec 2015 14:08:16 +0800

libpinyin (1.3.0-1) experimental; urgency=medium

  * New upstream release

 -- Aron Xu <aron@debian.org>  Mon, 14 Dec 2015 23:24:55 +0800

libpinyin (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Change so version to 6.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 15 Oct 2015 17:03:07 +0800

libpinyin (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6
  * Change so version to 5
  * Fix Vcs-Browser
  * Update watch to SourceForge
  * Add autopkgtest

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Sep 2015 12:58:40 +0800

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,25 @@
 XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            YunQiang Su <wzssyqa@gmail.com>,
-           Asias He <asias@debian.org>
+           Asias He <asias@debian.org>,
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
                libdb-dev,
                libglib2.0-dev,
                libltdl-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://github.com/libpinyin
 Vcs-Git: git://anonscm.debian.org/pkg-ime/libpinyin.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-ime/libpinyin.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-ime/libpinyin.git
 
-Package: libpinyin4-dev
+Package: libpinyin7-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libpinyin4 (= ${binary:Version}), ${misc:Depends}
+Depends: libglib2.0-dev, libpinyin7 (= ${binary:Version}), ${misc:Depends}
 Recommends: libpinyin-utils
 Provides: libpinyin-dev
 Conflicts: libpinyin-dev
@@ -31,13 +32,13 @@
  .
  This package provides the library development files.
 
-Package: libpinyin4
+Package: libpinyin7
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: fcitx-libpinyin (<< 0.2.0), libpinyin0, libpinyin2
-Replaces: libpinyin0, libpinyin2
+Breaks: fcitx-libpinyin (<< 0.2.0), libpinyin0, libpinyin2, libpinyin4, libpinyin5, libpinyin6
+Replaces: libpinyin0, libpinyin2, libpinyin4, libpinyin5, libpinyin6
 Provides: libpinyin
 Suggests: libpinyin-utils
 Description: library to deal with PinYin
@@ -62,7 +63,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libpinyin4 (= ${binary:Version}), ${misc:Depends}
+Depends: libpinyin7 (= ${binary:Version}), ${misc:Depends}
 Description: library to deal with PinYin - debug symbols
  libpinyin is a set of core algorithms designed for intelligent
  sentence-based Chinese PinYin input methods.

=== debian/tests/control ===
tests: build
Depends: libpinyin-dev, build-essential, pkg-config

=== debian/watch ===
version=3
http://sf.net/libpinyin/libpinyin-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## libpinyin 2.1.91

=== debian/changelog ===
libpinyin (2.1.91-1) unstable; urgency=medium

  * Merge back to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 31 Jan 2018 19:10:11 +0800

libpinyin (2.1.91-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3.
  * Bump compat to 11.
  * Update Vcs-* fields to salsa.debian.org.
  * Update Homepage and Source.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 28 Jan 2018 19:58:57 +0800

libpinyin (2.1.0-1~exp3) experimental; urgency=medium

  * Specific libpinyin-common-dev version in libpinyin13-dev, libzhuyin-dev
    Depends to avoid broken header files.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 17 Sep 2017 18:34:29 +0800

libpinyin (2.1.0-1~exp2) experimental; urgency=medium

  * Fix missing header pinyin_custom2.h in libzhuyin-dev.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 16 Sep 2017 11:36:50 +0800

libpinyin (2.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump SO version to 13.
  * Add Breaks/Replaces in libpinyin-data for data transferred from libpinyin7
    to libpinyin-data (Closes: #874423).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 06 Sep 2017 18:41:11 +0800

libpinyin (2.0.92-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0.
  * Bump compat to 10.
    * Remove unused Build-Depends.
    * Remove --with autoreconf since it is default now.
    * Remove --parallel since it is default now.
    * Use dh_missing.
  * Bump SO version to 12.
  * Enable libzhuyin support.
  * Update Vcs-* fields.
  * Use copyright-format 1.0.
  * Migrate to use libpinyin-dbgsym instead of libpinyin-dbg.
  * Use harden build.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 04 Aug 2017 03:51:35 -0400

libpinyin (1.3.0-3) unstable; urgency=medium

  * Add the libglib2.0-dev missing dependency to libpinyin7-dev
    Thanks to Łukasz 'sil2100' Zemczak

 -- Aron Xu <aron@debian.org>  Thu, 01 Dec 2016 20:46:21 +0800

=== debian/control ===
Source: libpinyin
Priority: optional
Maintainer: IME Packaging Team <debian-input-method@lists.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           YunQiang Su <wzssyqa@gmail.com>,
           Asias He <asias@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
Build-Depends: debhelper (>= 11),
               libdb-dev,
               libglib2.0-dev,
               libltdl-dev
Standards-Version: 4.1.3
Section: libs
Homepage: https://github.com/libpinyin/libpinyin
Vcs-Git: https://salsa.debian.org/debian/libpinyin.git
Vcs-Browser: https://salsa.debian.org/debian/libpinyin

Package: libpinyin-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
Breaks: libpinyin13-dev (<< 2.1.0-1~exp2~),
Replaces: libpinyin13-dev (<< 2.1.0-1~exp2~),
Description: library to deal with PinYin / zhuyin - common development files
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin / zhuyin input methods.
 .
 This package provides the common header files for both libpinyin and libzhuyin.

Package: libpinyin13-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libpinyin-common-dev (= ${binary:Version}),
         libpinyin13 (= ${binary:Version}),
         libglib2.0-dev,
Recommends: libpinyin-utils
Provides: libpinyin-dev
Conflicts: libpinyin-dev
Description: library to deal with PinYin - development files
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the library development files.

Package: libpinyin13
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpinyin-data (= ${binary:Version}),
Breaks: fcitx-libpinyin (<< 0.2.0),
        libpinyin0,
        libpinyin2,
        libpinyin4,
        libpinyin5,
        libpinyin6,
        libpinyin7,
        libpinyin12,
Replaces: libpinyin0,
          libpinyin2,
          libpinyin4,
          libpinyin5,
          libpinyin6,
          libpinyin7,
          libpinyin12,
Provides: libpinyin
Suggests: libpinyin-utils
Description: library to deal with PinYin
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the library files.

Package: libpinyin-data
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: libpinyin0,
        libpinyin2,
        libpinyin4,
        libpinyin5,
        libpinyin6,
        libpinyin7,
Replaces: libpinyin0,
          libpinyin2,
          libpinyin4,
          libpinyin5,
          libpinyin6,
          libpinyin7,
Description: Data for PinYin / zhuyin input method library
 The libpinyin project aims to provide the algorithms core for intelligent
 sentence-based Chinese zhuyin input methods. libpinyin can be integrated with
 input method framework likes ibus, fcitx, etc. to provide a PinYin and zhuyin
 based input method for Chinese user.
 .
 This package contains the data likes zhuyin to word mapping, n-gram
 information, etc. used by libpinyin algorithm.

Package: libpinyin-utils
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library to deal with PinYin - utilities
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the utilities for manipulating dict files.

Package: libzhuyin13
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpinyin-data (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libzhuyin6,
           libzhuyin7,
Provides: libzhuyin
Description: Zhuyin input method library
 The libzhuyin project aims to provide the algorithms core for
 intelligent sentence-based Chinese zhuyin input methods. libzhuyin can
 be integrated with input method framework likes ibus, fcitx, etc. to
 provide a zhuyin based input method for Traditional Chinese user.

Package: libzhuyin-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libpinyin-common-dev (= ${binary:Version}),
         libzhuyin13 (= ${binary:Version}),
         libglib2.0-dev
Description: Development files for zhuyin input method library
 The libzhuyin project aims to provide the algorithms core for
 intelligent sentence-based Chinese zhuyin input methods. libzhuyin can
 be integrated with input method framework likes ibus, fcitx, etc. to
 provide a zhuyin based input method for Traditional Chinese user.
 .
 This package contains development files for libzhuyin.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Sautoconf -- \
	    --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	    --datarootdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	    --enable-libzhuyin \
	    $(NULL)

override_dh_strip:
	dh_strip --ddeb-migration='libpinyin-dbg (<< 2.0.92-1~exp1~), libzhuyin-dbg (<< 1.1.0-1~)'

override_dh_install:
	find debian/ -name *.la -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

## libpinyin 2.2.0

=== debian/changelog ===
libpinyin (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4.
  * Update Maintainer name.
  * Change libpinyin-common-dev Architecture to all.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 02 May 2018 00:23:22 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libpinyin
 Priority: optional
-Maintainer: IME Packaging Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            YunQiang Su <wzssyqa@gmail.com>,
            Asias He <asias@debian.org>,
@@ -9,7 +9,7 @@
                libdb-dev,
                libglib2.0-dev,
                libltdl-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Section: libs
 Homepage: https://github.com/libpinyin/libpinyin
 Vcs-Git: https://salsa.debian.org/debian/libpinyin.git
@@ -17,8 +17,8 @@
 
 Package: libpinyin-common-dev
 Section: libdevel
-Architecture: any
-Multi-Arch: same
+Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 Breaks: libpinyin13-dev (<< 2.1.0-1~exp2~),
 Replaces: libpinyin13-dev (<< 2.1.0-1~exp2~),
@@ -33,7 +33,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libpinyin-common-dev (= ${binary:Version}),
+         libpinyin-common-dev (= ${source:Version}),
          libpinyin13 (= ${binary:Version}),
          libglib2.0-dev,
 Recommends: libpinyin-utils
@@ -133,7 +133,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
-         libpinyin-common-dev (= ${binary:Version}),
+         libpinyin-common-dev (= ${source:Version}),
          libzhuyin13 (= ${binary:Version}),
          libglib2.0-dev
 Description: Development files for zhuyin input method library

## libpinyin 2.2.2

=== debian/changelog ===
libpinyin (2.2.2-1~ubuntu18.04.1) bionic; urgency=medium

  * Backport of the disco version as an SRU in an attempt to reduce the
    number of crashes (LP: #1768166).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 22 May 2019 16:54:00 +0200

libpinyin (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 06 Feb 2019 16:15:44 +0800

libpinyin (2.2.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Boyuan Yang ]
  * New upstream version 2.2.1.
  * debian: Apply "wrap-and-sort -abst".
  * debian/control: Update uploaders' email address and use the @debian.org one.
  * debian/control: Bump Standards-Version to 4.2.1.
  * debian/rules: Modernize and use --dbgsym-migration instead of
    --ddeb-migration.

 -- Boyuan Yang <byang@debian.org>  Mon, 22 Oct 2018 22:17:40 -0400

=== debian/control ===
Source: libpinyin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
 Asias He <asias@debian.org>,
 ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
Build-Depends:
 debhelper (>= 11),
 libdb-dev,
 libglib2.0-dev,
 libltdl-dev,
Standards-Version: 4.3.0
Section: libs
Homepage: https://github.com/libpinyin/libpinyin
Vcs-Git: https://salsa.debian.org/debian/libpinyin.git
Vcs-Browser: https://salsa.debian.org/debian/libpinyin

Package: libpinyin-common-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks:
 libpinyin13-dev (<< 2.1.0-1~exp2~),
Replaces:
 libpinyin13-dev (<< 2.1.0-1~exp2~),
Description: library to deal with PinYin / zhuyin - common development files
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin / zhuyin input methods.
 .
 This package provides the common header files for both libpinyin and libzhuyin.

Package: libpinyin-data
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Breaks:
 libpinyin0,
 libpinyin2,
 libpinyin4,
 libpinyin5,
 libpinyin6,
 libpinyin7,
Replaces:
 libpinyin0,
 libpinyin2,
 libpinyin4,
 libpinyin5,
 libpinyin6,
 libpinyin7,
Description: Data for PinYin / zhuyin input method library
 The libpinyin project aims to provide the algorithms core for intelligent
 sentence-based Chinese zhuyin input methods. libpinyin can be integrated with
 input method framework likes ibus, fcitx, etc. to provide a PinYin and zhuyin
 based input method for Chinese user.
 .
 This package contains the data likes zhuyin to word mapping, n-gram
 information, etc. used by libpinyin algorithm.

Package: libpinyin-utils
Section: utils
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library to deal with PinYin - utilities
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the utilities for manipulating dict files.

Package: libpinyin13
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libpinyin-data (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 fcitx-libpinyin (<< 0.2.0),
 libpinyin0,
 libpinyin12,
 libpinyin2,
 libpinyin4,
 libpinyin5,
 libpinyin6,
 libpinyin7,
Replaces:
 libpinyin0,
 libpinyin12,
 libpinyin2,
 libpinyin4,
 libpinyin5,
 libpinyin6,
 libpinyin7,
Provides:
 libpinyin,
Suggests:
 libpinyin-utils,
Description: library to deal with PinYin
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the library files.

Package: libpinyin13-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libglib2.0-dev,
 libpinyin-common-dev (= ${source:Version}),
 libpinyin13 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 libpinyin-utils,
Provides:
 libpinyin-dev,
Conflicts:
 libpinyin-dev,
Description: library to deal with PinYin - development files
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the library development files.

Package: libzhuyin-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libglib2.0-dev,
 libpinyin-common-dev (= ${source:Version}),
 libzhuyin13 (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for zhuyin input method library
 The libzhuyin project aims to provide the algorithms core for
 intelligent sentence-based Chinese zhuyin input methods. libzhuyin can
 be integrated with input method framework likes ibus, fcitx, etc. to
 provide a zhuyin based input method for Traditional Chinese user.
 .
 This package contains development files for libzhuyin.

Package: libzhuyin13
Architecture: any
Multi-Arch: same
Depends:
 libpinyin-data (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Conflicts:
 libzhuyin6,
 libzhuyin7,
Provides:
 libzhuyin,
Description: Zhuyin input method library
 The libzhuyin project aims to provide the algorithms core for
 intelligent sentence-based Chinese zhuyin input methods. libzhuyin can
 be integrated with input method framework likes ibus, fcitx, etc. to
 provide a zhuyin based input method for Traditional Chinese user.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -16,7 +16,7 @@
 	    $(NULL)
 
 override_dh_strip:
-	dh_strip --ddeb-migration='libpinyin-dbg (<< 2.0.92-1~exp1~), libzhuyin-dbg (<< 1.1.0-1~)'
+	dh_strip --dbgsym-migration='libpinyin-dbg (<< 2.0.92-1~exp1~), libzhuyin-dbg (<< 1.1.0-1~)'
 
 override_dh_install:
 	find debian/ -name *.la -delete

## libpinyin 2.3.0

=== debian/changelog ===
libpinyin (2.3.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:28:26 +0100

libpinyin (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0.
  * Bump compat to 12.
  * Remove dbgsym-migration.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 22 Jul 2019 01:34:04 +0800

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: libpinyin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Aron Xu <aron@debian.org>,
  YunQiang Su <syq@debian.org>,
  Asias He <asias@debian.org>,
  ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12~),
  libdb-dev,
  libglib2.0-dev,
  libltdl-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Section: libs
 Homepage: https://github.com/libpinyin/libpinyin
 Vcs-Git: https://salsa.debian.org/debian/libpinyin.git

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,6 @@
 	    --enable-libzhuyin \
 	    $(NULL)
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libpinyin-dbg (<< 2.0.92-1~exp1~), libzhuyin-dbg (<< 1.1.0-1~)'
-
 override_dh_install:
 	find debian/ -name *.la -delete
 	dh_install

## libpinyin 2.6.0

=== debian/changelog ===
libpinyin (2.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat to v13.
  * Bump Standards-Version to 4.5.1.
  * debian/libzhuyin13.symbols: Refresh symbols.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Dec 2020 15:40:13 -0500

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  Asias He <asias@debian.org>,
  ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 Build-Depends:
- debhelper (>= 12~),
+ debhelper-compat (= 13),
  libdb-dev,
  libglib2.0-dev,
  libltdl-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/libpinyin/libpinyin
 Vcs-Git: https://salsa.debian.org/debian/libpinyin.git

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 include /usr/share/dpkg/architecture.mk
 
-DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
@@ -15,9 +14,5 @@
 	    --enable-libzhuyin \
 	    $(NULL)
 
-override_dh_install:
+execute_before_dh_install:
 	find debian/ -name *.la -delete
-	dh_install
-
-override_dh_missing:
-	dh_missing --fail-missing

=== debian/watch ===
version=3
https://sf.net/libpinyin/libpinyin-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
